<!--
 * Scilab ( http://www.scilab.org/ ) - This file is part of Scilab
 * Copyright (C) 2008 - INRIA - Sylvestre Koumar
 * 
 * This file must be used under the terms of the CeCILL.
 * This source file is licensed as described in the file COPYING, which
 * you should have received as part of this distribution.  The terms
 * are also available at    
 * http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt
 *
 -->
 
<package name="org.scilab.modules.graphic_export">
  <object name="GL2PSToJOGL">
    <method name="glFeedbackBuffer" returnType="void" modifier="static">
      <parameter name="arg0" type="int"/>
      <parameter name="arg1" type="int"/>
    </method>
	<method name="readFeedbackBuffer" returnType="float[]" modifier="static">
      <parameter name="size" type="int"/>
    </method>
    <method name="glIsEnabled" returnType="boolean" modifier="static">
      <parameter name="arg0" type="int"/>
    </method>
    <method name="glBegin" returnType="void" modifier="static">
      <parameter name="arg0" type="int"/>
    </method>
    <method name="glVertex3f" returnType="void" modifier="static">
      <parameter name="arg0" type="float"/>
      <parameter name="arg1" type="float"/>
      <parameter name="arg2" type="float"/>
    </method>
    <method name="glEnd" returnType="void" modifier="static">
    </method>
    <method name="glGetCurrentRasterPositionValid" returnType="boolean" modifier="static">
    </method>
    <method name="glRenderMode" returnType="int" modifier="static">
      <parameter name="arg0" type="int"/>
    </method>
    <method name="glGetLineStipplePattern" returnType="int" modifier="static">
    </method>
    <method name="glGetLineStippleRepeat" returnType="int" modifier="static">
    </method>
    <method name="glGetIndexClearValue" returnType="int" modifier="static">
    </method>
    <method name="glGetViewport" returnType="int[]" modifier="static">
    </method>
    <method name="glGetBlendSrc" returnType="int" modifier="static">
    </method>
    <method name="glGetBlendDst" returnType="int" modifier="static">
    </method>
    <method name="glGetColorClearValue" returnType="float[]" modifier="static">
    </method>
    <method name="glGetPolygonOffsetFactor" returnType="float" modifier="static">
    </method>
    <method name="glGetPolygonOffsetUnits" returnType="float" modifier="static">
    </method>
    <method name="glGetCurrentRasterPosition" returnType="float[]" modifier="static">
    </method>
    <method name="glGetCurrentRasterColor" returnType="float[]" modifier="static">
    </method>
    <method name="glPassThrough" returnType="void" modifier="static">
      <parameter name="arg0" type="float"/>
    </method>	

  </object>
</package>
